#define motorIN1 3 // IN1
#define motorIN2 4 // IN2
    
void setup() {
  pinMode(motorIN1, OUTPUT);
  pinMode(motorIN2, OUTPUT);
  Serial.begin(115200);
  MotorOff();
}

void loop() {
  int incomingMessage = Serial.read(); // for incoming serial data
  byte address = incomingMessage >> 4; // 0000 is for motor, 0001 is for valve
  byte command = incomingMessage & B00001111; // get last 4 bits from the message
  
  if (address == B0000) { // address to motor
    
     if (command == B0001) MotorOn();
     else if (command == B0000) MotorOff();
     
    }
}

void MotorOn(){
    digitalWrite(motorIN1, 1);
    digitalWrite(motorIN2, 0);
  }

void MotorOff(){
    digitalWrite(motorIN1, 0);
    digitalWrite(motorIN2, 0);
  }
