//Controlling a valve with an N-channel MOSFET

#define valve 3

void setup() {
  pinMode(valve, OUTPUT);
  Serial.begin(115200);
  ValveOff();
}

void loop() {
  int incomingMessage = Serial.read(); // for incoming serial data
  byte address = incomingMessage >> 4; // 0000 is for motor, 0001 is for valve
  byte command = incomingMessage & B00001111; // get last 4 bits from the message
  
  if (address == B0001){ // address to Valve

      if (command == B0001) ValveOn();
      else if (command == B0000) ValveOff();
    }
  
}

void ValveOn(){ //valve ON if would be heated up gradually
   digitalWrite(valve, HIGH);
  }
  
void ValveOff(){
   digitalWrite(valve, LOW);
  }
